
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>open_viewmin.nematic.jones &#8212; open-ViewMin  documentation</title>
    
  <!-- Loaded before other Sphinx assets -->
  <link href="../../../../_static/styles/theme.css?digest=1999514e3f237ded88cf" rel="stylesheet">
<link href="../../../../_static/styles/pydata-sphinx-theme.css?digest=1999514e3f237ded88cf" rel="stylesheet">

    
  <link rel="stylesheet"
    href="../../../../_static/vendor/fontawesome/5.13.0/css/all.min.css">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../../../../_static/vendor/fontawesome/5.13.0/webfonts/fa-solid-900.woff2">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../../../../_static/vendor/fontawesome/5.13.0/webfonts/fa-brands-400.woff2">

    <link rel="stylesheet" type="text/css" href="../../../../_static/pygments.css" />
    <link rel="stylesheet" href="../../../../_static/styles/sphinx-book-theme.css?digest=62ba249389abaaa9ffc34bf36a076bdc1d65ee18" type="text/css" />
    <link rel="stylesheet" type="text/css" href="../../../../_static/graphviz.css" />
    
  <!-- Pre-loaded scripts that we'll load fully later -->
  <link rel="preload" as="script" href="../../../../_static/scripts/pydata-sphinx-theme.js?digest=1999514e3f237ded88cf">

    <script data-url_root="../../../../" id="documentation_options" src="../../../../_static/documentation_options.js"></script>
    <script src="../../../../_static/jquery.js"></script>
    <script src="../../../../_static/underscore.js"></script>
    <script src="../../../../_static/doctools.js"></script>
    <script src="../../../../_static/scripts/sphinx-book-theme.js?digest=f31d14ad54b65d19161ba51d4ffff3a77ae00456"></script>
    <link rel="index" title="Index" href="../../../../genindex.html" />
    <link rel="search" title="Search" href="../../../../search.html" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="docsearch:language" content="None">
    

    <!-- Google Analytics -->
    
  </head>
  <body data-spy="scroll" data-target="#bd-toc-nav" data-offset="60">
<!-- Checkboxes to toggle the left sidebar -->
<input type="checkbox" class="sidebar-toggle" name="__navigation" id="__navigation" aria-label="Toggle navigation sidebar">
<label class="overlay overlay-navbar" for="__navigation">
    <div class="visually-hidden">Toggle navigation sidebar</div>
</label>
<!-- Checkboxes to toggle the in-page toc -->
<input type="checkbox" class="sidebar-toggle" name="__page-toc" id="__page-toc" aria-label="Toggle in-page Table of Contents">
<label class="overlay overlay-pagetoc" for="__page-toc">
    <div class="visually-hidden">Toggle in-page Table of Contents</div>
</label>
<!-- Headers at the top -->
<div class="announcement header-item noprint"></div>
<div class="header header-item noprint"></div>

    
    <div class="container-fluid" id="banner"></div>

    

    <div class="container-xl">
      <div class="row">
          
<!-- Sidebar -->
<div class="bd-sidebar noprint" id="site-navigation">
    <div class="bd-sidebar__content">
        <div class="bd-sidebar__top"><div class="navbar-brand-box">
    <a class="navbar-brand text-wrap" href="../../../../index.html">
      
      
      
      <h1 class="site-logo" id="site-title">open-ViewMin  documentation</h1>
      
    </a>
</div><form class="bd-search d-flex align-items-center" action="../../../../search.html" method="get">
  <i class="icon fas fa-search"></i>
  <input type="search" class="form-control" name="q" id="search-input" placeholder="Search the docs ..." aria-label="Search the docs ..." autocomplete="off" >
</form><nav class="bd-links" id="bd-docs-nav" aria-label="Main">
    <div class="bd-toc-item active">
        <ul class="current nav bd-sidenav">
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../readme.html">
   Overview
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../filters-tree.html">
   Filters tree
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../calculations.html">
   Calculations
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../GUI-reference.html">
   GUI Reference
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="../../../../LICENSE.html">
   License
  </a>
 </li>
 <li class="toctree-l1 current active has-children">
  <a class="reference internal" href="../../../index.html">
   API Reference
  </a>
  <input checked="" class="toctree-checkbox" id="toctree-checkbox-1" name="toctree-checkbox-1" type="checkbox"/>
  <label for="toctree-checkbox-1">
   <i class="fas fa-chevron-down">
   </i>
  </label>
  <ul class="current">
   <li class="toctree-l2 current active has-children">
    <a class="reference internal" href="../../index.html">
     <code class="xref py py-mod docutils literal notranslate">
      <span class="pre">
       open_viewmin
      </span>
     </code>
    </a>
    <input checked="" class="toctree-checkbox" id="toctree-checkbox-2" name="toctree-checkbox-2" type="checkbox"/>
    <label for="toctree-checkbox-2">
     <i class="fas fa-chevron-down">
     </i>
    </label>
    <ul class="current">
     <li class="toctree-l3 has-children">
      <a class="reference internal" href="../../filter_tree_plot/index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.filter_tree_plot
        </span>
       </code>
      </a>
      <input class="toctree-checkbox" id="toctree-checkbox-3" name="toctree-checkbox-3" type="checkbox"/>
      <label for="toctree-checkbox-3">
       <i class="fas fa-chevron-down">
       </i>
      </label>
      <ul>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot/filters/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.filters
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot/utilities/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.utilities
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot/widgets/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.widgets
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot/filter_formulas/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.filter_formulas
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot/filter_tree_plot/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.filter_tree_plot
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot/settings/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot.settings
          </span>
         </code>
        </a>
       </li>
      </ul>
     </li>
     <li class="toctree-l3 has-children">
      <a class="reference internal" href="../../filter_tree_plot_Qt/index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.filter_tree_plot_Qt
        </span>
       </code>
      </a>
      <input class="toctree-checkbox" id="toctree-checkbox-4" name="toctree-checkbox-4" type="checkbox"/>
      <label for="toctree-checkbox-4">
       <i class="fas fa-chevron-down">
       </i>
      </label>
      <ul>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot_Qt/menus/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.menus
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot_Qt/widgets_Qt/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.widgets_Qt
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot_Qt/filter_tree_plot_Qt/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.filter_tree_plot_Qt
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../../filter_tree_plot_Qt/settings_Qt/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.filter_tree_plot_Qt.settings_Qt
          </span>
         </code>
        </a>
       </li>
      </ul>
     </li>
     <li class="toctree-l3 current active has-children">
      <a class="reference internal" href="../index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.nematic
        </span>
       </code>
      </a>
      <input checked="" class="toctree-checkbox" id="toctree-checkbox-5" name="toctree-checkbox-5" type="checkbox"/>
      <label for="toctree-checkbox-5">
       <i class="fas fa-chevron-down">
       </i>
      </label>
      <ul class="current">
       <li class="toctree-l4 current active">
        <a class="current reference internal" href="#">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.nematic.jones
          </span>
         </code>
        </a>
       </li>
       <li class="toctree-l4">
        <a class="reference internal" href="../nematic/index.html">
         <code class="xref py py-mod docutils literal notranslate">
          <span class="pre">
           open_viewmin.nematic.nematic
          </span>
         </code>
        </a>
       </li>
      </ul>
     </li>
     <li class="toctree-l3">
      <a class="reference internal" href="../../open_viewmin/index.html">
       <code class="xref py py-mod docutils literal notranslate">
        <span class="pre">
         open_viewmin.open_viewmin
        </span>
       </code>
      </a>
     </li>
    </ul>
   </li>
  </ul>
 </li>
</ul>

    </div>
</nav></div>
        <div class="bd-sidebar__bottom">
             <!-- To handle the deprecated key -->
            
            <div class="navbar_extra_footer">
            Theme by the <a href="https://ebp.jupyterbook.org">Executable Book Project</a>
            </div>
            
        </div>
    </div>
    <div id="rtd-footer-container"></div>
</div>


          


          
<!-- A tiny helper pixel to detect if we've scrolled -->
<div class="sbt-scroll-pixel-helper"></div>
<!-- Main content -->
<div class="col py-0 content-container">
    
    <div class="header-article row sticky-top noprint">
        



<div class="col py-1 d-flex header-article-main">
    <div class="header-article__left">
        
        <label for="__navigation"
  class="headerbtn"
  data-toggle="tooltip"
data-placement="right"
title="Toggle navigation"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-bars"></i>
  </span>

</label>

        
    </div>
    <div class="header-article__right">
<button onclick="toggleFullScreen()"
  class="headerbtn"
  data-toggle="tooltip"
data-placement="bottom"
title="Fullscreen mode"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-expand"></i>
  </span>

</button>

<div class="menu-dropdown menu-dropdown-download-buttons">
  <button class="headerbtn menu-dropdown__trigger"
      aria-label="Download this page">
      <i class="fas fa-download"></i>
  </button>
  <div class="menu-dropdown__content">
    <ul>
      <li>
        <a href="../../../../_sources/api/open_viewmin/nematic/jones/index.rst.txt"
   class="headerbtn"
   data-toggle="tooltip"
data-placement="left"
title="Download source file"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-file"></i>
  </span>
<span class="headerbtn__text-container">.rst</span>
</a>

      </li>
      
      <li>
        
<button onclick="printPdf(this)"
  class="headerbtn"
  data-toggle="tooltip"
data-placement="left"
title="Print to PDF"
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-file-pdf"></i>
  </span>
<span class="headerbtn__text-container">.pdf</span>
</button>

      </li>
      
    </ul>
  </div>
</div>
<label for="__page-toc"
  class="headerbtn headerbtn-page-toc"
  
>
  

<span class="headerbtn__icon-container">
  <i class="fas fa-list"></i>
  </span>

</label>

    </div>
</div>

<!-- Table of contents -->
<div class="col-md-3 bd-toc show noprint">
    <div class="tocsection onthispage pt-5 pb-3">
        <i class="fas fa-list"></i> Contents
    </div>
    <nav id="bd-toc-nav" aria-label="Page">
        <ul class="visible nav section-nav flex-column">
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#module-contents">
   Module Contents
  </a>
  <ul class="nav section-nav flex-column">
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#functions">
     Functions
    </a>
    <ul class="nav section-nav flex-column">
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.add_jones_to_plotter">
       add_jones_to_plotter
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.add_jones_toolbar_to_plotter">
       add_jones_toolbar_to_plotter
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.get_director_data_from_plotter">
       get_director_data_from_plotter
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.jones_light_propagation_through_sample">
       jones_light_propagation_through_sample
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.jones_matrices_multiple_wavelengths">
       jones_matrices_multiple_wavelengths
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.jones_matrix">
       jones_matrix
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.list_to_xyz_mat">
       list_to_xyz_mat
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.n_and_site_types_from_open_Qmin">
       n_and_site_types_from_open_Qmin
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.permute_axes">
       permute_axes
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.polarizer_matrix_from_angle">
       polarizer_matrix_from_angle
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.pom_animation_rotate_polarizers">
       pom_animation_rotate_polarizers
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.pom_image_color">
       pom_image_color
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.pom_image_one_wavelength">
       pom_image_one_wavelength
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.pom_image_sequence_rotate_polarizers">
       pom_image_sequence_rotate_polarizers
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.rgb_to_texture">
       rgb_to_texture
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.rotation_matrix_2D">
       rotation_matrix_2D
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.rotation_transform">
       rotation_transform
      </a>
     </li>
    </ul>
   </li>
  </ul>
 </li>
</ul>

    </nav>
</div>
    </div>
    <div class="article row">
        <div class="col pl-md-3 pl-lg-5 content-container">
            <!-- Table of contents that is only displayed when printing the page -->
            <div id="jb-print-docs-body" class="onlyprint">
                <h1>open_viewmin.nematic.jones</h1>
                <!-- Table of contents -->
                <div id="print-main-content">
                    <div id="jb-print-toc">
                        
                        <div>
                            <h2> Contents </h2>
                        </div>
                        <nav aria-label="Page">
                            <ul class="visible nav section-nav flex-column">
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#module-contents">
   Module Contents
  </a>
  <ul class="nav section-nav flex-column">
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#functions">
     Functions
    </a>
    <ul class="nav section-nav flex-column">
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.add_jones_to_plotter">
       add_jones_to_plotter
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.add_jones_toolbar_to_plotter">
       add_jones_toolbar_to_plotter
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.get_director_data_from_plotter">
       get_director_data_from_plotter
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.jones_light_propagation_through_sample">
       jones_light_propagation_through_sample
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.jones_matrices_multiple_wavelengths">
       jones_matrices_multiple_wavelengths
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.jones_matrix">
       jones_matrix
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.list_to_xyz_mat">
       list_to_xyz_mat
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.n_and_site_types_from_open_Qmin">
       n_and_site_types_from_open_Qmin
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.permute_axes">
       permute_axes
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.polarizer_matrix_from_angle">
       polarizer_matrix_from_angle
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.pom_animation_rotate_polarizers">
       pom_animation_rotate_polarizers
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.pom_image_color">
       pom_image_color
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.pom_image_one_wavelength">
       pom_image_one_wavelength
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.pom_image_sequence_rotate_polarizers">
       pom_image_sequence_rotate_polarizers
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.rgb_to_texture">
       rgb_to_texture
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.rotation_matrix_2D">
       rotation_matrix_2D
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#open_viewmin.nematic.jones.rotation_transform">
       rotation_transform
      </a>
     </li>
    </ul>
   </li>
  </ul>
 </li>
</ul>

                        </nav>
                    </div>
                </div>
            </div>
            <main id="main-content" role="main">
                
              <div>
                
  <section id="module-open_viewmin.nematic.jones">
<span id="open-viewmin-nematic-jones"></span><h1><a class="reference internal" href="#module-open_viewmin.nematic.jones" title="open_viewmin.nematic.jones"><code class="xref py py-mod docutils literal notranslate"><span class="pre">open_viewmin.nematic.jones</span></code></a><a class="headerlink" href="#module-open_viewmin.nematic.jones" title="Permalink to this headline">#</a></h1>
<p>Jones matrix calculations for transmission of polarized light through the
nematic liquid crystal.</p>
<p>This file was derived, with permission, from code written by Sophie Ettinger
and adapted for open-Qmin data by Yvonne Zagzag.</p>
<section id="module-contents">
<h2>Module Contents<a class="headerlink" href="#module-contents" title="Permalink to this headline">#</a></h2>
<section id="functions">
<h3>Functions<a class="headerlink" href="#functions" title="Permalink to this headline">#</a></h3>
<table class="autosummary longtable table autosummary">
<colgroup>
<col style="width: 10%" />
<col style="width: 90%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><a class="reference internal" href="#open_viewmin.nematic.jones.add_jones_to_plotter" title="open_viewmin.nematic.jones.add_jones_to_plotter"><code class="xref py py-obj docutils literal notranslate"><span class="pre">add_jones_to_plotter</span></code></a>(plotter, n=None, site_types=None, brightness_factor=1, polarizer_angle=0, analyzer_angle=None, **kwargs)</p></td>
<td><p>Add planes to back of box, colored by RGB Jones matrix transmission</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#open_viewmin.nematic.jones.add_jones_toolbar_to_plotter" title="open_viewmin.nematic.jones.add_jones_toolbar_to_plotter"><code class="xref py py-obj docutils literal notranslate"><span class="pre">add_jones_toolbar_to_plotter</span></code></a>(plotter, n=None, site_types=None, **kwargs)</p></td>
<td><p></p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#open_viewmin.nematic.jones.get_director_data_from_plotter" title="open_viewmin.nematic.jones.get_director_data_from_plotter"><code class="xref py py-obj docutils literal notranslate"><span class="pre">get_director_data_from_plotter</span></code></a>(plotter, n, site_types)</p></td>
<td><p></p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#open_viewmin.nematic.jones.jones_light_propagation_through_sample" title="open_viewmin.nematic.jones.jones_light_propagation_through_sample"><code class="xref py py-obj docutils literal notranslate"><span class="pre">jones_light_propagation_through_sample</span></code></a>(director, site_types, wavelength=6.6e-07, res=4.5e-09, n_ord=1.55, n_ext=1.7, optical_axis='z')</p></td>
<td><p>Calculate Jones matrix product for light propagation through nematic</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#open_viewmin.nematic.jones.jones_matrices_multiple_wavelengths" title="open_viewmin.nematic.jones.jones_matrices_multiple_wavelengths"><code class="xref py py-obj docutils literal notranslate"><span class="pre">jones_matrices_multiple_wavelengths</span></code></a>(n, site_types, wavelengths=(6.6e-07, 5.5e-07, 4.6e-07), **kwargs)</p></td>
<td><p></p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#open_viewmin.nematic.jones.jones_matrix" title="open_viewmin.nematic.jones.jones_matrix"><code class="xref py py-obj docutils literal notranslate"><span class="pre">jones_matrix</span></code></a>(n_phi, phi_ext, phi_ord)</p></td>
<td><p>Calculate Jones matrix array for one slice at constant z</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#open_viewmin.nematic.jones.list_to_xyz_mat" title="open_viewmin.nematic.jones.list_to_xyz_mat"><code class="xref py py-obj docutils literal notranslate"><span class="pre">list_to_xyz_mat</span></code></a>(data, dims)</p></td>
<td><p></p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#open_viewmin.nematic.jones.n_and_site_types_from_open_Qmin" title="open_viewmin.nematic.jones.n_and_site_types_from_open_Qmin"><code class="xref py py-obj docutils literal notranslate"><span class="pre">n_and_site_types_from_open_Qmin</span></code></a>(filename)</p></td>
<td><p>Import Q-tensor data in the open-Qmin format</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#open_viewmin.nematic.jones.permute_axes" title="open_viewmin.nematic.jones.permute_axes"><code class="xref py py-obj docutils literal notranslate"><span class="pre">permute_axes</span></code></a>(arr, axis_name)</p></td>
<td><p>Permute coordinate axes so that the optical axis corresponds to</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#open_viewmin.nematic.jones.polarizer_matrix_from_angle" title="open_viewmin.nematic.jones.polarizer_matrix_from_angle"><code class="xref py py-obj docutils literal notranslate"><span class="pre">polarizer_matrix_from_angle</span></code></a>(angle)</p></td>
<td><p>Calculate projection matrix along a polarizer's direction in the xy plane.</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#open_viewmin.nematic.jones.pom_animation_rotate_polarizers" title="open_viewmin.nematic.jones.pom_animation_rotate_polarizers"><code class="xref py py-obj docutils literal notranslate"><span class="pre">pom_animation_rotate_polarizers</span></code></a>(plotter, n=None, site_types='off', interval=50, filename=None, **kwargs)</p></td>
<td><p>Create video of simulated polarized optical microscopy images</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#open_viewmin.nematic.jones.pom_image_color" title="open_viewmin.nematic.jones.pom_image_color"><code class="xref py py-obj docutils literal notranslate"><span class="pre">pom_image_color</span></code></a>(jones_mats, polarizer_angle=0.0, analyzer_angle=None, brightness_factor=1)</p></td>
<td><p>Given Jones matrices for red, green, and blue light propagation,</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#open_viewmin.nematic.jones.pom_image_one_wavelength" title="open_viewmin.nematic.jones.pom_image_one_wavelength"><code class="xref py py-obj docutils literal notranslate"><span class="pre">pom_image_one_wavelength</span></code></a>(jones_mat_product, p_angle, a_angle)</p></td>
<td><p>Simulated polarized optical microscopy image using a single wavelength of light</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#open_viewmin.nematic.jones.pom_image_sequence_rotate_polarizers" title="open_viewmin.nematic.jones.pom_image_sequence_rotate_polarizers"><code class="xref py py-obj docutils literal notranslate"><span class="pre">pom_image_sequence_rotate_polarizers</span></code></a>(ax, n, site_types, num_frames=10, brightness_factor=1, **kwargs)</p></td>
<td><p>Create image sequence of simulated polarized optical microscopy images</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#open_viewmin.nematic.jones.rgb_to_texture" title="open_viewmin.nematic.jones.rgb_to_texture"><code class="xref py py-obj docutils literal notranslate"><span class="pre">rgb_to_texture</span></code></a>(rgb_data)</p></td>
<td><p></p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#open_viewmin.nematic.jones.rotation_matrix_2D" title="open_viewmin.nematic.jones.rotation_matrix_2D"><code class="xref py py-obj docutils literal notranslate"><span class="pre">rotation_matrix_2D</span></code></a>(angle)</p></td>
<td><p></p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#open_viewmin.nematic.jones.rotation_transform" title="open_viewmin.nematic.jones.rotation_transform"><code class="xref py py-obj docutils literal notranslate"><span class="pre">rotation_transform</span></code></a>(mat, rot_mat)</p></td>
<td><p>Calculate M' = R M R^T for given matrix M and rotation matrix R</p></td>
</tr>
</tbody>
</table>
<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.nematic.jones.add_jones_to_plotter">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.jones.</span></span><span class="sig-name descname"><span class="pre">add_jones_to_plotter</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">plotter</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">n</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">site_types</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">brightness_factor</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">1</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">polarizer_angle</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">0</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">analyzer_angle</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.jones.add_jones_to_plotter" title="Permalink to this definition">#</a></dt>
<dd><p>Add planes to back of box, colored by RGB Jones matrix transmission
and normal to x, y, z.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.nematic.jones.add_jones_toolbar_to_plotter">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.jones.</span></span><span class="sig-name descname"><span class="pre">add_jones_toolbar_to_plotter</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">plotter</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">n</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">site_types</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.jones.add_jones_toolbar_to_plotter" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.nematic.jones.get_director_data_from_plotter">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.jones.</span></span><span class="sig-name descname"><span class="pre">get_director_data_from_plotter</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">plotter</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">n</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">site_types</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.jones.get_director_data_from_plotter" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.nematic.jones.jones_light_propagation_through_sample">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.jones.</span></span><span class="sig-name descname"><span class="pre">jones_light_propagation_through_sample</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">director</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">site_types</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">wavelength</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">6.6e-07</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">res</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">4.5e-09</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">n_ord</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">1.55</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">n_ext</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">1.7</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">optical_axis</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'z'</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.jones.jones_light_propagation_through_sample" title="Permalink to this definition">#</a></dt>
<dd><p>Calculate Jones matrix product for light propagation through nematic
sample.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>director</strong> – </p></li>
<li><p><strong>site_types</strong> – </p></li>
<li><p><strong>wavelength</strong> – </p></li>
<li><p><strong>res</strong> – </p></li>
<li><p><strong>n_ord</strong> – </p></li>
<li><p><strong>n_ext</strong> – </p></li>
<li><p><strong>optical_axis</strong> – </p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.nematic.jones.jones_matrices_multiple_wavelengths">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.jones.</span></span><span class="sig-name descname"><span class="pre">jones_matrices_multiple_wavelengths</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">n</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">site_types</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">wavelengths</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">(6.6e-07,</span> <span class="pre">5.5e-07,</span> <span class="pre">4.6e-07)</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.jones.jones_matrices_multiple_wavelengths" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.nematic.jones.jones_matrix">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.jones.</span></span><span class="sig-name descname"><span class="pre">jones_matrix</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">n_phi</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">phi_ext</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">phi_ord</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.jones.jones_matrix" title="Permalink to this definition">#</a></dt>
<dd><p>Calculate Jones matrix array for one slice at constant z</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.nematic.jones.list_to_xyz_mat">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.jones.</span></span><span class="sig-name descname"><span class="pre">list_to_xyz_mat</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">data</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">dims</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.jones.list_to_xyz_mat" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.nematic.jones.n_and_site_types_from_open_Qmin">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.jones.</span></span><span class="sig-name descname"><span class="pre">n_and_site_types_from_open_Qmin</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">filename</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.jones.n_and_site_types_from_open_Qmin" title="Permalink to this definition">#</a></dt>
<dd><p>Import Q-tensor data in the open-Qmin format</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.nematic.jones.permute_axes">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.jones.</span></span><span class="sig-name descname"><span class="pre">permute_axes</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">arr</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">axis_name</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.jones.permute_axes" title="Permalink to this definition">#</a></dt>
<dd><p>Permute coordinate axes so that the optical axis corresponds to
axis_name</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.nematic.jones.polarizer_matrix_from_angle">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.jones.</span></span><span class="sig-name descname"><span class="pre">polarizer_matrix_from_angle</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">angle</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.jones.polarizer_matrix_from_angle" title="Permalink to this definition">#</a></dt>
<dd><p>Calculate projection matrix along a polarizer’s direction in the xy plane.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.nematic.jones.pom_animation_rotate_polarizers">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.jones.</span></span><span class="sig-name descname"><span class="pre">pom_animation_rotate_polarizers</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">plotter</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">n</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">site_types</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">'off'</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">interval</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">50</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">filename</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.jones.pom_animation_rotate_polarizers" title="Permalink to this definition">#</a></dt>
<dd><p>Create video of simulated polarized optical microscopy images
with polarizer and analyzer rotating linearly in time through total angle
pi/2.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.nematic.jones.pom_image_color">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.jones.</span></span><span class="sig-name descname"><span class="pre">pom_image_color</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">jones_mats</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">polarizer_angle</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">0.0</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">analyzer_angle</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">None</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">brightness_factor</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">1</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.jones.pom_image_color" title="Permalink to this definition">#</a></dt>
<dd><p>Given Jones matrices for red, green, and blue light propagation,
generate rgb array (float values in [0, 1]) for a simulated color polarized
optical microscopy image.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.nematic.jones.pom_image_one_wavelength">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.jones.</span></span><span class="sig-name descname"><span class="pre">pom_image_one_wavelength</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">jones_mat_product</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">p_angle</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">a_angle</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.jones.pom_image_one_wavelength" title="Permalink to this definition">#</a></dt>
<dd><p>Simulated polarized optical microscopy image using a single wavelength of light</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.nematic.jones.pom_image_sequence_rotate_polarizers">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.jones.</span></span><span class="sig-name descname"><span class="pre">pom_image_sequence_rotate_polarizers</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">ax</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">n</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">site_types</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">num_frames</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">10</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">brightness_factor</span></span><span class="o"><span class="pre">=</span></span><span class="default_value"><span class="pre">1</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwargs</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.jones.pom_image_sequence_rotate_polarizers" title="Permalink to this definition">#</a></dt>
<dd><p>Create image sequence of simulated polarized optical microscopy images
with polarizer and analyzer rotating linearly in time through total angle pi/2.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.nematic.jones.rgb_to_texture">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.jones.</span></span><span class="sig-name descname"><span class="pre">rgb_to_texture</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">rgb_data</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.jones.rgb_to_texture" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.nematic.jones.rotation_matrix_2D">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.jones.</span></span><span class="sig-name descname"><span class="pre">rotation_matrix_2D</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">angle</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.jones.rotation_matrix_2D" title="Permalink to this definition">#</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="open_viewmin.nematic.jones.rotation_transform">
<span class="sig-prename descclassname"><span class="pre">open_viewmin.nematic.jones.</span></span><span class="sig-name descname"><span class="pre">rotation_transform</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">mat</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">rot_mat</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#open_viewmin.nematic.jones.rotation_transform" title="Permalink to this definition">#</a></dt>
<dd><p>Calculate M’ = R M R^T for given matrix M and rotation matrix R</p>
</dd></dl>

</section>
</section>
</section>


              </div>
              
            </main>
            <footer class="footer-article noprint">
                
    <!-- Previous / next buttons -->
<div class='prev-next-area'>
</div>
            </footer>
        </div>
    </div>
    <div class="footer-content row">
        <footer class="col footer"><p>
  
    By Daniel Beller<br/>
  
      &copy; Copyright 2022, Daniel Beller.<br/>
</p>
        </footer>
    </div>
    
</div>


      </div>
    </div>
  
  <!-- Scripts loaded after <body> so the DOM is not blocked -->
  <script src="../../../../_static/scripts/pydata-sphinx-theme.js?digest=1999514e3f237ded88cf"></script>


  </body>
</html>